# Poco::Data::ODBC

# class ODBCColumn

Library: Data/ODBC
Package: ODBC
Header: Poco/Data/ODBC/ODBCColumn.h

## Inheritance

Direct Base Classes: Poco::Data::MetaColumn

All Base Classes: Poco::Data::MetaColumn

## Member Summary

Member Functions: dataLength

Inherited Functions: isNullable, length, name, position, precision, setLength, setName, setNullable, setPrecision, setType, type

## Constructors

### ODBCColumn

explicit ODBCColumn(
const StatementHandle & rStmt,
std::size_t position
);

Creates the ODBCColumn.

## Destructor

### ~ODBCColumn

~ODBCColumn();

Destroys the ODBCColumn.

## Member Functions

### dataLength

std::size_t dataLength() const;

A numeric value that is either the maximum or actual character length of a character string or binary data type. It is the maximum character length for a fixed-length data type, or the actual character length for a variable-length data type. Its value always excludes the null-termination byte that ends the character string. This information is returned from the SQL_DESC_LENGTH record field of the IRD.